
kerio.waw.ui.configurationImportInterfaceEditor = {

x_m: function(x_n) {
var
x_1b = kerio.lib,
x_x = x_1b.x_x, x_3l, x_5o,
x_16, x_10,
x_kk;
x_5o = {
x_5s: 'x_kl',
x_8p: x_x('No available interfaces', 'configurationImport'),
x_1p: 'interfaceList undead', x_5x: {
x_d2: false,
x_1e: [
{
x_23: x_x('Name', 'common'),
x_7s: 'x_g6',
x_1u: 190,

x_7u: function(x_1o, x_47) {
return x_fi.x_kg(x_47.id.name, x_47);
} },
{x_7s: 'ip'  ,  x_23: x_x('IP Address', 'interfaceList')  , x_1u: 100},
{x_7s: 'MAC' ,  x_23: x_x('MAC', 'interfaceList')         , x_1u: 130}
] },
x_62: this.x_iy
}; x_3l = new kerio.lib.x_4g(x_n + '_' + 'x_3l', x_5o);
x_10 = {
x_1u: 460,
x_1v: 400,
x_1y: x_x('Select Interface', 'configurationImport'),
x_1x: x_3l,
x_mc: this.x_iy
};
x_16 = new kerio.lib.x_26(x_n, new x_fa.x_md(x_10));
x_kk = x_x('<Unassigned>', 'interfaceList');
x_16.x_27({
x_3l: x_3l,
x_7w: null,
x_mb: null,
x_lb: null,
x_kj: null,
x_kk: x_kk,
x_ko: {
id:  {name: x_kk},
ip:  '',
MAC: '',
type: x_r.x_kh.x_ki
}
}); x_3l.x_27({
x_16: x_16
}); this.x_2a(x_16);
return x_16;
},
x_2a: function(x_2b) {
var
x_3l = x_2b.x_3l,
x_32 = x_3l.x_32;

x_2b.x_2c = function(x_28) {
this.x_7w = x_28.x_7w;
this.x_lb = x_28.x_lb;
this.x_kj = x_28.x_kj;
this.x_mb = x_28.x_mb;
this.x_3l.x_7k([this.x_ko]);
this.x_3l.x_7k(x_28.x_kj, true);
}; x_2b.x_27({
x_jo: this.x_jo
});
}, 
x_jo: function() {
this.x_3l.x_7k([]);
}, 
x_iy: function() {
var
x_16 = this.x_2p, x_3l = x_16.x_3l,
x_7w = x_16.x_7w,
x_3v = x_3l.x_3v,
x_me,
x_mf,
x_mg,
x_mb,
x_mh,
x_mi,
x_km,
x_eo;
if (0 === x_3v.x_46) {
kerio.lib.x_48(
kerio.lib.x_x('Select Interface', 'configurationImport'),
kerio.lib.x_x('Please select an interface.', 'configurationImport')
);
x_16.x_jt();
return;
}
x_me = x_3v.x_40[0];
x_mf = x_me.x_47;
x_mb = x_16.x_mb;
x_mh = x_mb.x_47.currentInterface;
x_mi = x_mb.x_fl;
if (undefined !== x_mf.x_fk) {
x_km = x_16.x_lb[x_mf.x_fk].currentInterface;
delete x_km.x_fk;
x_eo = x_7w.x_de(false)[x_mf.x_fk];
delete x_eo.currentInterface.x_fk;
x_7w.x_fm(x_eo, x_mf.x_fk);
}
if (undefined !== x_mh.x_fk) {
delete x_16.x_kj[x_mh.x_fk].x_fk;
delete x_16.x_lb[x_mb.x_fl].currentInterface.x_fk;
delete x_mh.x_fk;
}
if (0 < x_me.x_fl) {
x_mg = x_me.x_fl - 1;
x_mh.x_fk = x_mg;
x_16.x_lb[x_mi].currentInterface.x_fk = x_mg;
x_mf.x_fk = x_mi;
x_16.x_kj[x_mg].x_fk = x_mi;
}
x_16.x_7w.x_hg(); x_16.x_2r();
} }; 